Avançar para o conteúdo

Veo 3.1 Fast Image to Video

Integrar

ID do modelo veo3.1/fast/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Este pedido: 0,40 $ 400 créditos da API Executar nesta página

Obter chave de API
Google Imagem para vídeo Áudio nativoSaída em 4KRápido4–8 saté 4k #audio#fast#dialogue

Anima uma imagem num clip de 4 a 8 segundos com som, aos preços do Veo 3.1 Fast.

Exemplos

Entrada
Resultado · ~72 s

Prompt{ "shot": { "composition": "wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike", "lens": "35mm", "frame_rate": "24fps", "camera_movement": "static" }, "subject": { "description": "a futuristic, strong motorbike assembling itself from scattered parts", "wardrobe": "", "props": "mechanical parts, gears, wires, pistons, body panels, wheels" }, "scene": { "location": "large, clear industrial factory floor", "time_of_day": "midday", "environment": "shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze" }, "visual_details": { "action": "motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle", "special_effects": "electric zaps, soft glows, heat distortion waves rising from the exhaust", "hair_clothing_motion": "" }, "cinematography": { "lighting": "bright overhead industrial lighting with sharp contrast, emphasizing form and texture", "color_palette": "warm tones with metallic highlights and soft amber reflections", "tone": "epic and intense, emphasizing mechanical precision and power" }, "audio": { "music": "minimalist, deep synthetic pulses that build with the assembly", "ambient": "deep factory hum, subtle air movements", "sound_effects": "clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble", "mix_level": "cinematic mix with prioritized effects and balanced music bed" }, "dialogue": { "character": "", "line": "", "subtitles": false } }

4s720pgenerate_audio: false0,40 $ · 400 créditos da API

Prompt de @azed_ai no X

Criar um pedido

Os controlos são gerados a partir do esquema do modelo. O código e o preço são atualizados à medida que os altera.

•obrigatório 1674 / 20000

Descrição textual do vídeo pretendido para geração.

•obrigatório image_url
Largue um ficheiro ou

URL da imagem de origem da animação, com recorte automático sempre que as proporções diferem de 16:9 ou 9:16. Recomenda-se uma origem de pelo menos 720p que já utilize uma dessas relações de aspeto.

duration 4 s

Duração do vídeo de saída.

aspect_ratio predefinição auto

Relação de aspeto do vídeo de saída, limitada a 16:9 ou 9:16.

resolution

Resolução utilizada para o vídeo de saída.

Avançado negative_prompt · safety_tolerance · seed · auto_fix

Prompt negativo utilizado para orientar a geração de vídeo.

safety_tolerance predefinição 4

Defina a tolerância da moderação de conteúdo entre o nível menos restritivo, 6, e o nível mais rigoroso, 1, que bloqueia a maioria do conteúdo.

Valor seed que inicializa a geração de números aleatórios.

POST /run/veo3.1/fast/image-to-video?wait=20 cotação → 0,40 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/veo3.1/fast/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "{\n  \"shot\": {\n    \"composition\": \"wide shot centered at eye level, capturing the full view of the factory floor and the assembling motorbike\",\n    \"lens\": \"35mm\",\n    \"frame_rate\": \"24fps\",\n    \"camera_movement\": \"static\"\n  },\n\n  \"subject\": {\n    \"description\": \"a futuristic, strong motorbike assembling itself from scattered parts\",\n    \"wardrobe\": \"\",\n    \"props\": \"mechanical parts, gears, wires, pistons, body panels, wheels\"\n  },\n\n  \"scene\": {\n    \"location\": \"large, clear industrial factory floor\",\n    \"time_of_day\": \"midday\",\n    \"environment\": \"shiny, clean surfaces with strong light and dramatic shadows; the atmosphere is warm and filled with subtle ambient haze\"\n  },\n\n  \"visual_details\": {\n    \"action\": \"motorbike parts fly in from all directions, clicking and locking into place to form a complete, sleek vehicle\",\n    \"special_effects\": \"electric zaps, soft glows, heat distortion waves rising from the exhaust\",\n    \"hair_clothing_motion\": \"\"\n  },\n\n  \"cinematography\": {\n    \"lighting\": \"bright overhead industrial lighting with sharp contrast, emphasizing form and texture\",\n    \"color_palette\": \"warm tones with metallic highlights and soft amber reflections\",\n    \"tone\": \"epic and intense, emphasizing mechanical precision and power\"\n  },\n\n  \"audio\": {\n    \"music\": \"minimalist, deep synthetic pulses that build with the assembly\",\n    \"ambient\": \"deep factory hum, subtle air movements\",\n    \"sound_effects\": \"clicks, whirs, zaps, shinks, thuds, whooshes, crackles, hiss, rumble\",\n    \"mix_level\": \"cinematic mix with prioritized effects and balanced music bed\"\n  },\n\n  \"dialogue\": {\n    \"character\": \"\",\n    \"line\": \"\",\n    \"subtitles\": false\n  }\n}",
    "duration": "4s",
    "resolution": "720p",
    "generate_audio": false,
    "image": "https://content.doitong.com/dev-api/2026/10/21/req_yg4iszi3085vhtnni2w1pfm2/0-U0GKmQ8vaXNu2J2S7PyWQ_D7e1WHp8.png"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Executar este pedido

A sua chave permanece neste navegador: é enviada apenas para a Doitong API e guardada em localStorage apenas se selecionar Lembrar. Obter uma chave de API

Sobre Veo 3.1 Fast Image to Video

O nível rápido de imagem para vídeo do Veo 3.1: o mesmo realismo, fala e som a partir de uma imagem inicial, com processamento mais rápido e um preço muito mais baixo. 4, 6 ou 8 segundos a 720p, 1080p ou 4K, enquadramento adaptativo ou fixo 16:9 / 9:16, áudio ativado ou desativado.

Parâmetros

Envie o nome canónico ou o nome nativo, não ambos. Nomes canónicos

NomeTipo PredefiniçãoPermitido Descrição
promptobrigatório
Tipostring
≤ 20 000 caracteres
Descrição textual do vídeo pretendido para geração.
aspect_ratioopcional
Tipoenum
Predefiniçãoauto
auto16:99:16
Relação de aspeto do vídeo de saída, limitada a 16:9 ou 9:16.
durationopcional
Tipoenum
Predefinição8s
4s6s8s
Duração do vídeo de saída.
negative_promptopcional
Tipostring | null
Prompt negativo utilizado para orientar a geração de vídeo.
resolutionopcional
Tipoenum
Predefinição720p
720p1080p4k
Resolução utilizada para o vídeo de saída.
generate_audioopcional
Tipoboolean
Predefiniçãotrue
Controla se o vídeo inclui áudio gerado.
seedopcional
Tipointeger | null
Valor seed que inicializa a geração de números aleatórios.
auto_fixopcional
Tipoboolean
Predefiniçãofalse
Reescrita automática de prompts para tentar resolver falhas nas verificações da política de conteúdo ou noutra validação.
safety_toleranceopcional
Tipoenum
Predefinição4
123456
Defina a tolerância da moderação de conteúdo entre o nível menos restritivo, 6, e o nível mais rigoroso, 1, que bloqueia a maioria do conteúdo.
image_urlobrigatório image
Tipourl · image
URL da imagem de origem da animação, com recorte automático sempre que as proporções diferem de 16:9 ou 9:16. Recomenda-se uma origem de pelo menos 720p que já utilize uma dessas relações de aspeto.
obrigatório Nome canónico, também aceite

Os parâmetros de ficheiro aceitam um URL https:// público, um URI data: até 10 MB ou o file_url de um carregamento. Ficheiros

Resultado

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veo3.1/fast/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 400,
    "usd": "0.40",
    "charged": 400,
    "refunded": 0
  },
  "input": {
    "prompt": "The fox trots along the path and the fireflies swirl around it, camera slowly pushes in",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "duration": 4,
    "resolution": "720p"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Os seus ficheiros, a sua escolhaCada outputs[].url é uma cópia no nosso armazenamento: guardada para sempre (paga por GB-mês) ou durante 7 dias gratuitamente, conforme a definição da sua conta ou ?storage=.
A mesma estrutura em todos os modelostype, url, content_type, width, height e duration, tanto para imagens como para vídeo e áudio. output é o próprio objeto de resultado do modelo.
Campos do resultado
video
object {url, content_type, file_name, file_size}Vídeo produzido pelo modelo.

Mais modelos: Imagem para vídeo

Para agentes de IA: esta página em Markdown está disponível em https://doitong.com/pt-PT/developers/models/veo3.1/fast/image-to-video.md. Todos os modelos e guias: https://doitong.com/developers/llms.txt